This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 822678 - some text fields display blank.gif image overlaid on top of them on IE8
some text fields display blank.gif image overlaid on top of them on IE8
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Windows
urgent Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On: 818094
Blocks: rhq-uxd jon310-sprint11/rhq44-sprint11 817141
  Show dependency treegraph
 
Reported: 2012-05-17 14:35 EDT by John Mazzitelli
Modified: 2013-09-03 11:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 818094
Environment:
Windows, IE8
Last Closed: 2013-09-03 11:15:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-05-17 14:35:23 EDT
+++ This bug was initially created as a clone of Bug #818094 +++

Description of problem:

The Bundle Creation wizard displays blank.gif images (red cross image) in URL and Upload fields on IE 8 ( Version 8.0.6001.19190).

Image : coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/skins/standard/images/blank.gif

If user selects 'Recipe' radio button, clicks on button 'Click to load a recipe file', and then selects another radio button (URL or Upload), it displays the blank.gif images ( red cross image) in 'File to Upload' field.

Please refer the attached screenshots.

Version-Release number of selected component (if applicable):

Build used: http://hudson.qa.jboss.com/hudson/view/RHQ/job/rhq-master-gwt-locales/329/
Version: 4.4.0-SNAPSHOT
Build Number: c5c7e25

IE version: 8.0.6001.19190

How reproducible:

Always

Steps to Reproduce:
1. Login to RHQ on IE 8
2. Click on Bundles main menu.
3. Click on 'New' button.
4. Observe the blank.gif images (red cross images) in URL, upload and 'File to Upload' fields.
  
Actual results:
The blank.gif images are displayed in URL, upload and 'File to Upload' fields.

Expected results:


Additional info:

The fields 'Distibution File' next to 'Upload' radio button and 'File to Upload' next to 'Recipe' radio button looks shrinked on IE8. (Smaller size as compared the view with Firefox10)

--- Additional comment from skondkar@redhat.com on 2012-05-02 04:30:23 EDT ---

Created attachment 581538 [details]
Screenshot

--- Additional comment from skondkar@redhat.com on 2012-05-02 04:31:05 EDT ---

Created attachment 581539 [details]
Screenshot_FileToUpload-IE8

--- Additional comment from jkandasa@redhat.com on 2012-05-02 06:27:26 EDT ---

Created attachment 581567 [details]
Drift Creation in IE 8.0

Similar issue on New Drift creation page..

Screen shot is attached

Browser: IE 8.0.6001.18702

--- Additional comment from skondkar@redhat.com on 2012-05-02 08:24:16 EDT ---

Few more places where the image blank.gif is observed in IE8:

Timezone field on create new operation schedule page for 'Get Current Date/Time' operation.

RHQ Agent->Configurations->Current page

Please refer the attached screenshots.

--- Additional comment from skondkar@redhat.com on 2012-05-02 08:25:09 EDT ---

Created attachment 581600 [details]
Screenshot_TimeZone

--- Additional comment from skondkar@redhat.com on 2012-05-02 08:25:48 EDT ---

Created attachment 581602 [details]
Screenshot_RHQAgent_Config

--- Additional comment from ccrouch@redhat.com on 2012-05-02 19:03:51 EDT ---

Lets investigate, and see if there is something hopefully simple going on here.

--- Additional comment from mazz@redhat.com on 2012-05-16 12:29:56 EDT ---

for the record, the image URL that is coming back with a 404 is this:

http://<rhq-server>:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/skins/standard/images/blank.gif

--- Additional comment from mazz@redhat.com on 2012-05-16 13:15:26 EDT ---

I noticed this missing image on text items that are disabled. So I googled and found that someone on the smartgwt forums reports the same thing:

http://forums.smartclient.com/showthread.php?t=6514

--- Additional comment from mazz@redhat.com on 2012-05-16 13:29:48 EDT ---

look at post #28 for a summary of the issue and possible causes/solutions:

http://forums.smartclient.com/showthread.php?t=6514&page=3

--- Additional comment from mazz@redhat.com on 2012-05-16 14:22:57 EDT ---

that smartgwt forum post #28 says this:

"3. load order issues, where load_skin.js is loaded after the application starts. There are a few different ways to determine if this is your problem, but one is to call Page.getSkinDir() from onModuleLoad(). If the path includes "standard" your load_skin.js file hasn't loaded yet."

I did that and the Page.getSkinDir returns "http://<rhq-server>:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/skins/Enterprise/"

Nothing with "standard" in it - so that probably isn't any indication of a problem.

--- Additional comment from mazz@redhat.com on 2012-05-16 15:43:46 EDT ---

this is a bug in the SmartGWT library.

as per post #30

http://forums.smartclient.com/showpost.php?p=83448&postcount=30

which was a response to post #29

http://forums.smartclient.com/showpost.php?p=83371&postcount=29

I rebuilt using the 5/16/2012 nightly build ( http://www.smartclient.com/builds/SmartGWT/3.0p/LGPL/2012-05-16 ) and I no longer see the broken image overlaid on top of a disabled text item.

Not sure how to proceed. I don't think we want to ship with a nightly build. Perhaps wait for the next SmartGWT release.

Note that I do not have a bug number - I just am going by the SmartGWT forum posts linked above.

--- Additional comment from mazz@redhat.com on 2012-05-16 16:45:39 EDT ---

as per smartgwt.com website:

http://www.smartclient.com/builds

"The letter "p" in a version (e.g. "8.2p") indicates a patch build, containing post-release fixes only, with no new features added. These builds are a convenience relative to having to install all post-release patches, and should generally be used instead of the actual releases."

so the version I tested with is the latest version Isomorphic says should be deployed in production.

See the comment in reply to my post asking the question:

http://forums.smartclient.com/showpost.php?p=86449&postcount=34

--- Additional comment from mazz@redhat.com on 2012-05-16 17:32:35 EDT ---

workarond is to add the .gif in our coregui app and see if that fixes is.

the real fix would be to get the latest patch build for smartgwt but that would require alot of testing to make sure nothing else breaks.

--- Additional comment from mazz@redhat.com on 2012-05-17 14:33:55 EDT ---

git commit to master: f8d25ac1f598f8d3441e94ee2eaa1de6b7298eb3

once we upgrade to a new SmartGWT, we should revert this since it won't be needed. To revert this, we just need to delete this blank.gif:

modules/enterprise/gui/coregui/src/main/webapp/org.rhq.enterprise.gui.coregui.CoreGUI/sc/skins/standard/images/blank.gif
Comment 1 John Mazzitelli 2012-05-17 14:36:51 EDT
we need to cherry pick f8d25ac1f598f8d3441e94ee2eaa1de6b7298eb3 to the jon 3.1 branch
Comment 2 John Mazzitelli 2012-05-21 16:47:45 EDT
(In reply to comment #1)
> we need to cherry pick f8d25ac1f598f8d3441e94ee2eaa1de6b7298eb3 to the jon
> 3.1 branch

git commit to release/jon3.1.x branch: cefa9a9
Comment 3 Sunil Kondkar 2012-05-25 07:42:08 EDT
Verified on JON 3.1.0.ER5 build.
Comment 4 Heiko W. Rupp 2013-09-03 11:15:41 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.